My Marlin configs for Fabrikator Mini and CTC i3 Pro B
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

mfpr 1.0KB

123456789101112131415161718192021222324252627282930313233343536373839
  1. #!/usr/bin/env bash
  2. #
  3. # mfpr [1|2|3]
  4. #
  5. # Make a PR against bugfix-1.1.x or bugfix-2.0.x
  6. #
  7. [[ $# < 2 && $1 != "-h" && $1 != "--help" ]] || { echo "usage: `basename $0` [1|2|3] [branch]" 1>&2 ; exit 1; }
  8. MFINFO=$(mfinfo "$@") || exit 1
  9. IFS=' ' read -a INFO <<< "$MFINFO"
  10. ORG=${INFO[0]}
  11. FORK=${INFO[1]}
  12. REPO=${INFO[2]}
  13. TARG=${INFO[3]}
  14. BRANCH=${INFO[4]}
  15. OLDBRANCH=${INFO[5]}
  16. [[ $BRANCH == $TARG ]] && { echo "Can't create a PR from the PR Target ($BRANCH). Make a copy first." 1>&2 ; exit 1; }
  17. [[ $BRANCH != $OLDBRANCH ]] && { git checkout $BRANCH || exit 1; }
  18. # See if it's been pushed yet
  19. if [ -z "$(git branch -vv | grep ^\* | grep \\[origin)" ]; then firstpush; fi
  20. which xdg-open >/dev/null && TOOL=xdg-open
  21. which gnome-open >/dev/null && TOOL=gnome-open
  22. which open >/dev/null && TOOL=open
  23. URL="https://github.com/$ORG/$REPO/compare/$TARG...$FORK:$BRANCH?expand=1"
  24. if [ -z "$OPEN" ]; then
  25. echo "Can't find a tool to open the URL:"
  26. echo $URL
  27. else
  28. echo "Opening a New PR Form..."
  29. "$OPEN" "$URL"
  30. fi
  31. [[ $BRANCH != $OLDBRANCH ]] && git checkout $OLDBRANCH